import { BaseLoginWidget } from './BaseLoginWidget';
export declare class SSOLoginWidget extends BaseLoginWidget {
    initialize(props: any): this;
    protected get keyMapping(): Record<string, string>;
    protected mappingForKey(key: string): string;
    protected get loginMethod(): string;
    protected get loginUrl(): string;
    login(): Promise<void>;
    protected submitLoginFormData(formData: Record<string, string>): void;
    protected getUrlParameters(): Record<string, string>;
    protected beforeMount(): Promise<void>;
}
